interface Options {
    contentBase?: string[];
}
declare const _default: ({ contentBase }?: Options) => {
    compress: boolean;
    clientLogLevel: string;
    quiet: boolean;
    watchOptions: {
        ignored: RegExp;
        aggregateTimeout: number;
    };
    historyApiFallback: {
        disableDotRule: boolean;
    };
    disableHostCheck: boolean;
    contentBase: string[];
};
/**
 * Webpack dev server config used by wparcel
 * docs can be found here https://webpack.js.org/configuration/dev-server/
 */
export default _default;
