"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var paths_1 = __importDefault(require("./config/paths"));
/**
 * Webpack dev server config used by wparcel
 * docs can be found here https://webpack.js.org/configuration/dev-server/
 */
exports.default = (function (_a) {
    var contentBase = (_a === void 0 ? {} : _a).contentBase;
    return {
        compress: true,
        clientLogLevel: 'none',
        quiet: true,
        watchOptions: {
            ignored: /node_modules/,
            aggregateTimeout: 500,
        },
        historyApiFallback: {
            // Paths with dots should still use the history fallback.
            // See https://github.com/facebook/create-react-app/issues/387.
            disableDotRule: true,
        },
        // https://github.com/webpack/webpack-dev-server/releases/tag/v2.4.3
        disableHostCheck: true,
        contentBase: [paths_1.default.appPublic].concat(contentBase),
    };
});
//# sourceMappingURL=webpackDevServer.config.js.map